// @ts-nocheck
const useCapture = true;
const mouseEvents = ({ isActiveRef, onSelect, rootElement }) => {
    const mouseOutCallback = (event) => {
        const target = event.target;
        target.classList.add("contenteditable-element-hover");
        // mouseOver({
        //   isActiveRef,
        //   rootElement,
        //   target: event.target,
        // });
    };
    const mouseOverCallback = (event) => {
        const target = event.target;
        target.classList.remove("contenteditable-element-hover");
    };
    const mouseClickCallback = (event) => {
        const target = event.target;
        console.log("mouseClickCallbackp");
    };
    window.addEventListener("mouseout", mouseOutCallback, useCapture);
    window.addEventListener("mouseover", mouseOverCallback, useCapture);
    window.addEventListener("click", mouseClickCallback, useCapture);
    return () => {
        window.removeEventListener("mouseout", mouseOutCallback, useCapture);
        window.removeEventListener("mouseover", mouseOverCallback, useCapture);
        window.removeEventListener("click", mouseClickCallback, useCapture);
    };
};
export default mouseEvents;
